Public Attributes | List of all members
app_graphics_dc_framelayer_t Struct Reference
Peripheral Driver » APP DRIVER » DC » Structures

Define DC Frame Layer configuration. More...

`#include <app_graphics_dc.h>`

## Public Attributes
void * | frame_baseaddr
| Frame Address. More...
uint32_t | resolution_x
| Resolution X. More...
uint32_t | resolution_y
| Resolution Y. More...
int32_t | row_stride
| Stride. More...
int32_t | start_x
| Start Rendering X Coordinator. More...
int32_t | start_y
| Start Rendering Y Coordinator. More...
uint32_t | size_x
| Rendering Size X. More...
uint32_t | size_y
| Rendering Size Y. More...
uint8_t | alpha
| Alpha. More...
uint8_t | blendmode
| Blending Mode. More...
graphics_dc_data_format_e | data_format
| Format. More...

## Detailed Description

Define DC Frame Layer configuration.

Definition at line 276 of file app_graphics_dc.h.

## Member Data Documentation

## ◆ alpha

uint8_t app_graphics_dc_framelayer_t::alpha

Alpha.

Definition at line 285 of file app_graphics_dc.h.

## ◆ blendmode

uint8_t app_graphics_dc_framelayer_t::blendmode

Blending Mode.

Definition at line 286 of file app_graphics_dc.h.

## ◆ data_format

graphics_dc_data_format_e app_graphics_dc_framelayer_t::data_format

Format.

Definition at line 287 of file app_graphics_dc.h.

## ◆ frame_baseaddr

void* app_graphics_dc_framelayer_t::frame_baseaddr

Frame Address.

Definition at line 277 of file app_graphics_dc.h.

## ◆ resolution_x

uint32_t app_graphics_dc_framelayer_t::resolution_x

Resolution X.

Definition at line 278 of file app_graphics_dc.h.

## ◆ resolution_y

uint32_t app_graphics_dc_framelayer_t::resolution_y

Resolution Y.

Definition at line 279 of file app_graphics_dc.h.

## ◆ row_stride

int32_t app_graphics_dc_framelayer_t::row_stride

Stride.

Definition at line 280 of file app_graphics_dc.h.

## ◆ size_x

uint32_t app_graphics_dc_framelayer_t::size_x

Rendering Size X.

Definition at line 283 of file app_graphics_dc.h.

## ◆ size_y

uint32_t app_graphics_dc_framelayer_t::size_y

Rendering Size Y.

Definition at line 284 of file app_graphics_dc.h.

## ◆ start_x

int32_t app_graphics_dc_framelayer_t::start_x

Start Rendering X Coordinator.

Definition at line 281 of file app_graphics_dc.h.

## ◆ start_y

int32_t app_graphics_dc_framelayer_t::start_y

Start Rendering Y Coordinator.

Definition at line 282 of file app_graphics_dc.h.

The documentation for this struct was generated from the following file:

- app_graphics_dc.h